Ext.namespace('MutationViewer');
MutationViewer.alertNoCode = true;
MutationViewer.getMinRate = function() {
  var cmp = Ext.getCmp('vp_ff');
  if(!cmp) return 0;
  var f = cmp.items.items[1], rate = f.getValue();
  if(typeof(rate) === 'string' && isNaN(rate))
  {
    var oldRate = rate;
    rate = rate.replace(/[^0-9.]+/g, '');
    f.setValue(rate);
    alert('For sequence display/export purposes, "Min mutation %" only accepts numbers, not "'+oldRate+'".\n\nYour "Min mutation %" is changed to "' + rate + '" after all non-number characters are removed');
  }
  if(rate === undefined || rate === '') rate = undefined;
  else rate -= 0;
  return rate;
}